Please select Into the mobile phone version | Continue to access the computer ver.
Simulator that will work with the P4P and an old MacBook Pro?
176 1 2-8 03:03
Uploading and Loding Picture ...(0/1)
o(^-^)o
estes53
lvl.1

United States
Offline

Anyone know of a simulator that will work with the Phantom 4 Pro and an old MacBook Pro (Late 2011)?

Thanx, Alan
2-8 03:03
Use props
DJI Gamora
Super Moderator

Offline

Hi, thank you for reaching out. The DJI Flight Simulator is compatible with the DJI Phantom 4 Pro remote controller. However, we do have a system requirements to run this software smoothly. You may refer to the image below. Thank you for your valued support!



2-8 07:29
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules